> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/bitcoin-sv-bsv/bsv_decoderawtransaction.md).

# decoderawtransaction - Bitcoin SV

Example code for the decoderawtransaction json-rpc method. Сomplete guide on how to use decoderawtransaction json-rpc in GetBlock.io Web3 documentation.

#### Parameters

`hexstring` - string, required

The transaction hex string

`iswitness` - boolean, optional, default=depends on heuristic tests

Whether the transaction hex is a serialized witness transaction.

If iswitness is not present, heuristic tests will be used in decoding.

If true, only witness deserialization will be tried.

If false, only non-witness deserialization will be tried.

This boolean should reflect whether the transaction has inputs (e.g. fully valid, or on-chain transactions), if known by the caller.

#### Request

```java
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \ 
--data-raw '{"jsonrpc": "2.0",
"method": "decoderawtransaction",
"params": ["hexstring", null],
"id": "getblock.io"}'
```

#### Response

```java
null
```
